Bug 175368 - [patch] multimedia/py-mlt hangs on Generating temporary packing list
Summary: [patch] multimedia/py-mlt hangs on Generating temporary packing list
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alberto Villa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-17 14:20 UTC by Oliver Heesakkers
Modified: 2013-02-09 03:40 UTC (History)
0 users

See Also:


Attachments
file.diff (802 bytes, patch)
2013-01-17 14:20 UTC, Oliver Heesakkers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Heesakkers 2013-01-17 14:20:00 UTC
Now that py-mlt is a slave port of mlt, the build hangs on my system when generating the temporary packing list.

Fix: I've re-created the pkg-plist for py-mlt and instructed the Makefile to use that. This solves the problem for me with a minor caveat.
Alternatively you could move that pkg-plist to something like multimedia/mlt/pkg-plist-py-mlt, like I've seen with the PostgreSQL client and server ports.

There is one caveat with this solution: When you build the port with examples, the +CONTENTS file will list the following (right at the bottom):
@dirrm share/examples/mlt/python
@dirrm share/examples/mlt

The first one is fine, but the last one can still contain the examples from the master port, so this creates an error on deinstallation. Can dirrmtry be used here?

Finally I have to note that py-mlt is now listed as unmaintained, which is I presume is incorrect.

Patch attached with submission follows:
How-To-Repeat: Attempt an installation of multimedia/py-mlt.
Comment 1 Edwin Groothuis freebsd_committer 2013-01-17 14:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Oliver Heesakkers 2013-01-18 11:06:46 UTC
Pinging the one I believe is maintainer.
Comment 3 Alberto Villa freebsd_committer 2013-02-08 21:57:44 UTC
Responsible Changed
From-To: freebsd-python->avilla

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-02-09 03:37:32 UTC
Author: avilla
Date: Sat Feb  9 03:37:18 2013
New Revision: 311960
URL: http://svnweb.freebsd.org/changeset/ports/311960

Log:
  - py-mlt:
    * fix MAINTAINER;
    * fix plist generation;
    * avoid conflicting with mlt's EXAMPLESDIR removal.
  
  PR:		175368
  Submitted by:	Oliver Heesakkers <dev2@heesakkers.info>
  
  - Update to 0.8.8 bugfix release.
  - Remove PTHREAD_LIBS.

Added:
  head/multimedia/py-mlt/pkg-plist   (contents, props changed)
Modified:
  head/multimedia/mlt/Makefile
  head/multimedia/mlt/distinfo   (contents, props changed)
  head/multimedia/py-mlt/Makefile

Modified: head/multimedia/mlt/Makefile
==============================================================================
--- head/multimedia/mlt/Makefile	Sat Feb  9 02:49:26 2013	(r311959)
+++ head/multimedia/mlt/Makefile	Sat Feb  9 03:37:18 2013	(r311960)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	mlt
-PORTVERSION=	0.8.6
+PORTVERSION=	0.8.8
 PORTREVISION?=	0
 CATEGORIES?=	multimedia
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}
@@ -176,9 +176,7 @@ pre-configure:
 		${WRKSRC}/src/modules/frei0r/factory.c \
 		${WRKSRC}/src/modules/jackrack/plugin_mgr.c \
 		${WRKSRC}/src/modules/linsys/Makefile
-	@${REINPLACE_CMD} -e 's,-pthread,${PTHREAD_LIBS},' \
-		${WRKSRC}/configure
-	@${REINPLACE_CMD} -e 's,-lpthread,${PTHREAD_LIBS},' \
+	@${REINPLACE_CMD} -e 's,-lpthread,-pthread,' \
 		${WRKSRC}/src/framework/Makefile \
 		${WRKSRC}/src/melt/Makefile \
 		${WRKSRC}/src/modules/*/Makefile

Modified: head/multimedia/mlt/distinfo
==============================================================================
--- head/multimedia/mlt/distinfo	Sat Feb  9 02:49:26 2013	(r311959)
+++ head/multimedia/mlt/distinfo	Sat Feb  9 03:37:18 2013	(r311960)
@@ -1,2 +1,2 @@
-SHA256 (mlt-0.8.6.tar.gz) = 8323e546a661942c5bb880886a949e8243f9b53082cb3464a54009280c5bbb3f
-SIZE (mlt-0.8.6.tar.gz) = 1104163
+SHA256 (mlt-0.8.8.tar.gz) = cc0e1cdb97a1cd59811a74553b5d3fbff590eb859c475253e188de1069ff9654
+SIZE (mlt-0.8.8.tar.gz) = 1108652

Modified: head/multimedia/py-mlt/Makefile
==============================================================================
--- head/multimedia/py-mlt/Makefile	Sat Feb  9 02:49:26 2013	(r311959)
+++ head/multimedia/py-mlt/Makefile	Sat Feb  9 03:37:18 2013	(r311960)
@@ -5,6 +5,7 @@ PORTREVISION=	0
 CATEGORIES=	multimedia python
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
+MAINTAINER=	avilla@FreeBSD.org
 COMMENT=	Python bindings for the MLT multimedia framework
 
 LICENSE=	GPLv2
@@ -16,24 +17,22 @@ BUILD_DEPENDS=	swig:${PORTSDIR}/devel/sw
 USE_PYTHON=	yes
 MASTERDIR=	${.CURDIR:H:H}/multimedia/mlt
 
-PORTEXAMPLES=	python
+EXAMPLESDIR=	${PREFIX}/share/examples/${PORTNAME}/python
+PORTEXAMPLES=	*
 
-PLIST=		# empty
-PLIST_FILES=	%%PYTHON_SITELIBDIR%%/_mlt.so \
-		%%PYTHON_SITELIBDIR%%/mlt.py \
-		%%PYTHON_SITELIBDIR%%/mlt.pyc \
-		%%PYTHON_SITELIBDIR%%/mlt.pyo
+PLIST=		${.CURDIR}/pkg-plist
 
 BUILD_WRKSRC=	${WRKSRC}/src/swig/python
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
 .include <bsd.port.options.mk>
 
-do-build:
+post-patch:
 	@${REINPLACE_CMD} -e 's|-L../../mlt++|-L${LOCALBASE}/lib|' \
 		-e 's|g++|${CXX} ${CXXFLAGS}|' \
-		-e 's|-pthread|${PTHREAD_LIBS}|' \
 		${BUILD_WRKSRC}/build
+
+do-build:
 	@cd ${BUILD_WRKSRC} && ${SH} build
 
 do-install:
@@ -44,9 +43,9 @@ do-install:
 
 post-install:
 .if ${PORT_OPTIONS:MEXAMPLES}
-	${MKDIR} ${EXAMPLESDIR}/python
+	${MKDIR} ${EXAMPLESDIR}
 . for f in codecs getimage play waveforms
-	${INSTALL_DATA} ${INSTALL_WRKSRC}/${f}.py ${EXAMPLESDIR}/python
+	${INSTALL_DATA} ${INSTALL_WRKSRC}/${f}.py ${EXAMPLESDIR}
 . endfor
 .endif
 

Added: head/multimedia/py-mlt/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/py-mlt/pkg-plist	Sat Feb  9 03:37:18 2013	(r311960)
@@ -0,0 +1,4 @@
+%%PYTHON_SITELIBDIR%%/_mlt.so
+%%PYTHON_SITELIBDIR%%/mlt.py
+%%PYTHON_SITELIBDIR%%/mlt.pyc
+%%PYTHON_SITELIBDIR%%/mlt.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Alberto Villa freebsd_committer 2013-02-09 03:37:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!